Link Search Menu Expand Document Documentation Menu

Get Action Groups API

Introduced 1.0

Retrieves action groups. Specify an action group name to retrieve one action group, or omit the name to retrieve all action groups.

Endpoints

GET /_plugins/_security/api/actiongroups
GET /_plugins/_security/api/actiongroups/{action_group}

Path parameters

The following table lists the available path parameters.

Parameter Data type Required Description
action_group String No The name of the action group to retrieve. If omitted, all action groups are returned.

Example request

The following request retrieves all action groups:

GET _plugins/_security/api/actiongroups

The following request retrieves the custom_action_group action group:

GET _plugins/_security/api/actiongroups/custom_action_group

Example response

The response is abbreviated here:

{
  "custom_action_group": {
    "allowed_actions": [
      "indices:data/write/index*",
      "indices:data/write/update*",
      "indices:admin/mapping/put",
      "indices:data/write/bulk*",
      "read",
      "write"
    ],
    "hidden": false,
    "reserved": false,
    "static": false
  },
  "data_access": {
    "allowed_actions": [
      "indices:data/*",
      "crud"
    ],
    "description": "Allow all read/write operations on data",
    "hidden": false,
    "reserved": true,
    "static": true,
    "type": "index"
  },
  "delete": {
    "allowed_actions": [
      "indices:data/write/delete*"
    ],
    "description": "Allow deleting documents",
    "hidden": false,
    "reserved": true,
    "static": true,
    "type": "index"
  },
  "cluster_manage_pipelines": {
    "allowed_actions": [
      "cluster:admin/ingest/pipeline/*"
    ],
    "description": "Manage pipelines",
    "hidden": false,
    "reserved": true,
    "static": true,
    "type": "cluster"
  },
  ...
}

When you retrieve one action group, the response contains only that action group:

{
  "custom_action_group": {
    "allowed_actions": [
      "indices:data/write/index*",
      "indices:data/write/update*",
      "indices:admin/mapping/put",
      "indices:data/write/bulk*",
      "read",
      "write"
    ],
    "hidden": false,
    "reserved": false,
    "static": false
  }
}
350 characters left

Have a question? .

Want to contribute? or .